%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-common

%{?!_licensedir:%global license %%doc}

Name:           openstack-tripleo-common
Summary:        Python library for code used by TripleO projects.
Version:        8.7.1
Release:        15%{?dist}
License:        ASL 2.0
URL:            https://github.com/rdo-management/tripleo-common

Source0:        https://tarballs.openstack.org/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.7.1
Patch0001: 0001-DOWNSTREAM-ONLY-Set-container-image-names-for-downst.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Remove-skydive-novajoin-and-congress.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Remove-rsyslog-container-image.patch
Patch0004: 0004-DOWNSTREAM-ONLY-container-build-overrides.patch
Patch0005: 0005-DOWNSTREAM-ONLY-Remove-keepalived-container.patch
Patch0006: 0006-DOWNSTREAM-ONLY-exclude-neutron-vpn-agent-for-l3-con.patch
Patch0007: 0007-DOWNSTREAM-ONLY-Force-include-docker.yaml-and-docker.patch
Patch0008: 0008-DOWNSTREAM-ONLY-exclude-collectd-write_prometheus-rp.patch
Patch0009: 0009-DOWNSTREAM-ONLY-add-ENV-container-oci.patch
Patch0010: 0010-DOWNSTREAM-ONLY-kolla-overrides-java-java-headless-f.patch
Patch0011: 0011-Fix-Octavia-amphora-image-RPM-install.patch
Patch0012: 0012-Make-lb-mgmt-subnet-a-class-B-subnet.patch
Patch0013: 0013-Allow-platform-in-instackenv.json.patch
Patch0014: 0014-Handle-missing-or-bad-dmidecode.patch
Patch0015: 0015-Use-trash_output-in-create_admin_via_ssh-workflow.patch
Patch0016: 0016-Clean-up-host-var-for-pre-post-deployment.patch
Patch0017: 0017-Use-blockinfile-for-tripleo-ssh-known-hosts.patch
Patch0018: 0018-Install-dumb-init-rpm.patch
Patch0019: 0019-Add-ENTRYPOINT-to-the-dumb-init-install-block.patch
Patch0020: 0020-Raise-an-error-if-deployment_name-cannot-be-determin.patch
Patch0021: 0021-Implement-Ansible-fact-cache-for-Mistral-executor.patch
Patch0022: 0022-Allow-distribution-of-non-autogenerated-certs.patch
Patch0023: 0023-Handle-empty-cert-related-hostvar-info.patch
Patch0024: 0024-Fixup-octavia-api-healthcheck.patch
Patch0025: 0025-Reset-RemovalPoliciesMode-for-node-delete.patch
Patch0026: 0026-Queens-Add-workflow-to-do-cellv2-host-discovery.patch
Patch0027: 0027-Pass-CephAnsibleExtraConfig-as-ansible-extra-vars.patch
Patch0028: 0028-Provide-the-output-to-add-a-validation-for-role-spec.patch
Patch0029: 0029-Add-profile_tasks-to-ansible-runs.patch
Patch0030: 0030-Derives-NUMA-aware-vSwitches-parameters.patch
Patch0031: 0031-OvS-DPDK-derive-parameters-timeout-issue.patch
Patch0032: 0032-overcloud-include-openssh-element.patch
Patch0033: 0033-NeutronPhysnetNUMANodesMapping-parameter-issue.patch
Patch0034: 0034-Set-display_skipped_host-to-no.patch
Patch0035: 0035-Warn-when-looking-up-grandparent-resource-name.patch
Patch0036: 0036-Allow-platform-in-instackenv.json.patch
Patch0037: 0037-Raise-exception-when-no-IPs-found.patch
Patch0038: 0038-Don-t-rely-on-crudini-for-octavia-config.patch
Patch0039: 0039-Use-the-Mistral-directory-for-storing-the-Ansible-fa.patch
Patch0040: 0040-Escape-invalid-JSON-characters-during-deployment.patch
Patch0041: 0041-Quote-output-values-for-overcloudrc.patch
Patch0042: 0042-OvS-DPDK-parameters-failing-in-NIC-Partitioning.patch
Patch0043: 0043-Incorrectly-derives-NeutronPhysnetNUMANodesMapping.patch
Patch0044: 0044-Fix-quoting-for-PYTHONWARNINGS.patch
Patch0045: 0045-Octavia-set-selinux-contexts-on-ansible-generated-co.patch
Patch0046: 0046-Simplify-octavia-post-deploy-configs.patch
Patch0047: 0047-Raise-exception-on-KeyboardInterrupt.patch
Patch0048: 0048-Queens-only-make-sure-cellv2-host-discovery-task-onl.patch
Patch0049: 0049-Fix-Octavia-certificate-file-path-and-content.patch
Patch0050: 0050-Do-not-create-symlink-conf.d-post-deploy.patch
Patch0052: 0052-Silent-file-descriptor-checks.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  openstack-macros

Requires: GitPython
Requires: python2-jinja2
Requires: python2-glanceclient >= 1:2.8.0
Requires: python2-heatclient >= 1.10.0
Requires: python-ironic-inspector-client >= 1.5.0
Requires: python2-ironicclient >= 2.2.0
Requires: python2-keystoneclient
Requires: python2-novaclient >= 1:9.1.0
Requires: python2-mistral-lib >= 0.3.0
Requires: python2-mistralclient >= 3.1.0
Requires: python2-netaddr
Requires: python-netifaces
Requires: python2-oslo-concurrency >= 3.25.0
Requires: python2-oslo-config >= 2:5.1.0
Requires: python2-oslo-log >= 3.36.0
Requires: python2-oslo-utils >= 3.33.0
Requires: python2-six >= 1.10.0
Requires: python2-docker >= 2.4.2
Requires: python2-passlib
Requires: python2-keystoneauth1 >= 3.3.0
Requires: python2-pbr >= 2.0.0
Requires: python2-zaqarclient >= 1.0.0
Requires: %{name}-containers = %{version}-%{release}
Requires: python-paramiko
Requires: skopeo
Requires: ansible
Requires: python2-tenacity >= 3.2.1

Provides:  tripleo-common = %{version}-%{release}
Obsoletes: tripleo-common < %{version}-%{release}

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git
rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
if [ -d %{buildroot}/%{_datadir}/%{upstream_name} ]; then
  mv %{buildroot}/%{_datadir}/%{upstream_name} %{buildroot}/%{_datadir}/%{name}
else
  # Before https://review.openstack.org/#/c/327830/3/setup.cfg
  mkdir -p %{buildroot}/%{_datadir}/%{name}
  if [ -d image-yaml ]; then
    install -d -m 755 %{buildroot}/%{_datadir}/%{name}
    cp -ar image-yaml %{buildroot}/%{_datadir}/%{name}
  fi
fi
ln -s %{name} %{buildroot}%{_datadir}/%{upstream_name}

if [ -d workbooks ]; then
  cp -ar workbooks %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/workbooks
fi

if [ -d playbooks ]; then
  cp -ar playbooks %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/playbooks
fi

if [ -d healthcheck ]; then
  cp -ar healthcheck %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/healthcheck
fi

if [ ! -d roles ]; then
  mkdir -p %{buildroot}/%{_datadir}/ansible/roles
fi

if [ ! -d ansible_plugins ]; then
  mkdir -p %{buildroot}/%{_datadir}/ansible/plugins
fi

mkdir -p %{buildroot}/%{_datadir}/%{name}-containers
mv %{buildroot}/%{_datadir}/%{name}/container-images %{buildroot}/%{_datadir}/%{name}-containers/
# compat symlink
ln -s ../%{name}-containers/container-images  %{buildroot}/%{_datadir}/%{name}/

if [ -d heat_docker_agent ]; then
  cp -ar heat_docker_agent %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/heat_docker_agent
fi

install -p -D -m 440 sudoers %{buildroot}%{_sysconfdir}/sudoers.d/%{upstream_name}

%description
Python library for code used by TripleO projects.

%package containers
Summary: Files for building TripleO containers

%description containers
This package installs the files used to build containers for TripleO.

%package container-base
Summary: Package for the TripleO base container image
Requires: puppet
Requires: lsof
Requires: hostname

%description container-base
This package installs the dependencies and files which are required on the base
TripleO container image.

%package devtools
Summary: A collection of tools for TripleO developers and CI
Requires: %{name} = %{version}-%{release}

%description devtools
This package installs the TripleO tools for developers and CI that typically
don't fit in a product.

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_common*
%exclude %{python2_sitelib}/tripleo_common/test*
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_bindir}/upgrade-non-controller.sh
%{_bindir}/tripleo-build-images
%{_bindir}/upload-puppet-modules
%{_bindir}/upload-swift-artifacts
%{_bindir}/run-validation
%{_bindir}/tripleo-config-download
%{_bindir}/create_freeipa_enroll_envfile.py
%{_datadir}/%{name}
%{_datadir}/%{upstream_name}
%{_sysconfdir}/sudoers.d/%{upstream_name}
%{_datadir}/ansible/roles
%{_datadir}/ansible/plugins

%files containers
%{_datadir}/%{name}-containers/container-images

%files container-base
%{_bindir}/bootstrap_host_exec
%{_bindir}/bootstrap_host_only_eval
%{_bindir}/bootstrap_host_only_exec
%{_datadir}/%{name}/healthcheck

%files devtools
%{_bindir}/pull-puppet-modules

%changelog
* Mon Mar 23 2020 Steve Linabery <slinaber@redhat.com> 8.7.1-15
- Silent file descriptor checks (rhbz#1813758)

* Tue Feb 18 2020 Carlos Goncalves <cgoncalves@redhat.com> 8.7.1-12
- Do not create symlink conf.d/post-deploy (rhbz#1803749)

* Mon Feb 10 2020 Carlos Goncalves <cgoncalves@redhat.com> 8.7.1-11
- Fix Octavia certificate file path and content (rhbz#1800847)

* Mon Feb 10 2020 Martin Schuppert <mschuppert@redhat.com> 8.7.1-10
- [Queens-only] make sure cellv2 host discovery task only run once (rhbz#1798669)

* Thu Feb 06 2020 Alex Schultz <aschultz@redhat.com> 8.7.1-9
- Raise exception on KeyboardInterrupt (rhbz#1643616)

* Fri Jan 31 2020 Miguel Garcia <mgarciac@redhat.com> 8.7.1-8
- Simplify octavia post deploy configs
- Octavia: set selinux contexts on ansible generated configuration
- Fix quoting for PYTHONWARNINGS
- Incorrectly derives NeutronPhysnetNUMANodesMapping
- OvS DPDK parameters failing in NIC Partitioning
- Quote output values for overcloudrc
- Escape invalid JSON characters during deployment.
- Use the Mistral directory for storing the Ansible fact cache. (rhbz#1772959)
- Don't rely on crudini for octavia config
- Raise exception when no IPs found
- Warn when looking up grandparent resource name
- Set display_skipped_host to no
- NeutronPhysnetNUMANodesMapping parameter issue
- overcloud: include openssh element
- OvS DPDK derive parameters timeout issue
- Derives NUMA aware vSwitches parameters
- Add profile_tasks to ansible runs

* Wed Dec 18 2019 Saravanan KR <skramaja@redhat.com> 8.7.1-7
- Provide the output to add a validation for role-specific params on services (rhbz#1783156)

* Sat Nov 30 2019 Giulio Fidente <gfidente@redhat.com> 8.7.1-6
- Pass CephAnsibleExtraConfig as ansible extra-vars (rhbz#1763175)

* Thu Nov 14 2019 Martin Schuppert <mschuppert@redhat.com> 8.7.1-5
- [Queens] Add workflow to do cellv2 host discovery (rhbz#1752900)

* Thu Oct 31 2019 Rabi Mishra <ramishra@redhat.com> 8.7.1-4
- Reset *RemovalPoliciesMode for node delete (rhbz#1761364)

* Mon Oct 21 2019 Carlos Goncalves <cgoncalves@redhat.com> 8.7.1-3
- Fixup octavia-api healthcheck (rhbz#1755683)

* Thu Oct 17 2019 Natal Ngétal <natal@redhat.com> 8.7.1-2
- Handle empty cert related hostvar info (rhbz#1645536)
- Allow distribution of non-autogenerated certs (rhbz#1645536)
- Implement Ansible fact cache for Mistral executor (rhbz#1749406 rhbz#1749406)

* Tue Oct 08 2019 Steve Linabery <slinaber@redhat.com> 8.7.1-1
- Update to 8.7.1
- Raise an error if deployment_name cannot be determined

* Mon Sep 16 2019 Kevin Carter <kecarter@redhat.com> 8.6.8-19
- Add ENTRYPOINT to the dumb init install block

* Wed Sep 11 2019 Kevin Carter <kecarter@redhat.com> 8.6.8-18
- Install dumb-init rpm

* Wed Sep 11 2019 Kevin Carter <kecarter@redhat.com> 8.6.8-17
- Use blockinfile for tripleo-ssh-known-hosts (rhbz#1746537)
- Clean up host var for pre/post deployment (rhbz#1746112)
- config-download: rename pre/post deployment hostvars (rhbz#1746112)

* Mon Sep 09 2019 Emilien Macchi <emilien@redhat.com> 8.6.8-16
- Add ironic-neutron-agent container (rhbz#1729517)
- Handle non-existant plan when getting deployment status (rhbz#1624464)
- Install python2-networking-baremetal in neutron-server (rhbz#1729517)
- Fix dir when copying deployments.yaml (rhbz#1746537)
- Copy deployments.yaml to top level config-dir (rhbz#1746537)

* Mon Sep 09 2019 Emilien Macchi <emilien@redhat.com> 8.6.8-15
- Honor trash_output when not using queue (rhbz#1747126)
- Use trash_output in create_admin_via_ssh workflow (rhbz#1747126)
- Don't accumulate ansible output uselessly (rhbz#1747126)

* Tue Aug 13 2019 Francesco Pantano <fpantano@redhat.com> 8.6.8-14
- Add the ability to compute osds number counting lvm devices (rhbz#1714922)

* Mon Aug 12 2019 Nir Magnezi <nmagnezi@redhat.com> 8.6.8-13
- Ensure that OctaviaServerCertsKeyPassphrase is 32-byte long (rhbz#1726261)

* Tue Aug 06 2019 Emilien Macchi <emilien@redhat.com> 8.6.8-12
- Fix expensive api call to get deployment_name (rhbz#1738344)
- Add passphrase generation for Octavia (rhbz#1718923)

* Wed Jun 26 2019 Steve Linabery <slinaber@redhat.com> 8.6.8-11
- Fix regression in validation action (rhbz#1722738)

* Tue Jun 18 2019 Nir Magnezi <nmagnezi@redhat.com> 8.6.8-10
- Add passphrase generation for Octavia (rhbz#1718923)

* Wed Jun 05 2019 Carlos Goncalves <cgoncalves@redhat.com> 8.6.8-9
- [CVE-2019-3895] Set image owner id (rhbz#1696502)

* Tue Jun 04 2019 Steve Linabery <slinaber@redhat.com> 8.6.8-8
- Don't use node count from failed stack parameters
- Fix running the baremetal provide workflow with node names
- Clean up node registration output.

* Tue Jun 04 2019 Martin Schuppert <mschuppert@redhat.com> 8.6.8-7
- Workaround ssh_known_hosts changes not being propagated to containers (rhbz#1712410)

* Tue May 28 2019 Luke Short <ekultails@gmail.com> 8.6.8-6
- [Queens only] Set the deployment status on Mistral deployment tasks. (rhbz#1688461)
- Standardise Workflow messaging and optionally persist messages (rhbz#1688461)

* Wed Apr 17 2019 Lukas Bezdicka <lbezdick@redhat.com> 8.6.8-5
- Add message to the Payload for update_node task (rhbz#1699079)

* Mon Apr 15 2019 Nir Magnezi <nmagnezi@redhat.com> 8.6.8-4
- Remove amp_hw_arch from octavia_post (rhbz#1698860)

* Mon Apr 08 2019 Jon Schlueter <jschluet@redhat.com> 8.6.8-3
- Update to 8.6.8 (rhbz#1696375)
- Update to stable/queens (rhbz#1696375)

* Wed Apr 03 2019 Martin Magr <mmagr@redhat.com> 8.6.6-22
- Make MetricsQdr service use qdrouterd image (rhbz#1683729)
- Revert "[DOWNSTREAM ONLY] Remove qdrouterd containers" (rhbz#1683729)

* Tue Mar 26 2019 Alex Schultz <aschultz@redhat.com> 8.6.6-21
- Upgrades: Don't try to publish ansible output in ceph_install (rhbz#1687795)
- Workflow and action for deployment failures (rhbz#1688461)
- Add workflow for plan deployment status (rhbz#1688461)
- Run NetworkDeployment as async task (rhbz#1688461)
- Ansible json error callback plugin (rhbz#1688461)

* Tue Mar 12 2019 Rabi Mishra <ramishra@redhat.com> 8.6.6-18
- Don't always validate heat stack when adding parameters (rhbz#1677230)
- Stops growth of massive dentry cache growth (rhbz#1646640)

* Tue Mar 05 2019 Nir Magnezi <nmagnezi@redhat.com> 8.6.6-17
- Specify Octavia amphora image hw_architecture property in Glance (rhbz#1677064)
- Don't fail tripleo-bootstrap on package installs
- Skip deployments with no uuid
- [DOWNSTREAM-ONLY] kolla overrides java/java-headless for opendaylight (rhbz#1676958)
- Cleanup old MariaDB cruft from override file (rhbz#1676958)

* Wed Feb 13 2019 Giulio Fidente <gfidente@redhat.com> 8.6.6-16
- Handle case change for dmidecode >= 3.1 in ceph-ansible workbook (rhbz#1668774)

* Mon Jan 28 2019 Steve Linabery <slinaber@redhat.com> 8.6.6-15
- Sync with RDO spec
- Look for lower-case hostname when adding to ssh_known_hosts
- Fail node cleaning on timeout
- Fix AnsibleAction.run() when argument is not a dict
- Increase ansible gather_timeout to 30secs for config-download
- Switch scenarios to non-voting
- [Queens only] Fix the default for docker registry.
- Set SSH server keep alive options
- Switch stable scenarios to voting

* Mon Jan 28 2019 Emilien Macchi <emilien@redhat.com> 8.6.6-14
- Set heatclient exceptions to verbose (rhbz#1601673)

* Fri Jan 11 2019 Bob Fournier <bfournie@redhat.com> 8.6.6-13
- Increase size for security hardened images (rhbz#1663495)

* Wed Jan 09 2019 Michele Baldessari <michele@acksyn.org> 8.6.6-12
- Generating fencing for capitalized MACs (rhbz#1643992)

* Fri Jan 04 2019 Carlos Goncalves <cgoncalves@redhat.com> 8.6.6-11
- Option to upload Octavia amphora img in RAW format (rhbz#1598146)

* Thu Jan 03 2019 Carlos Goncalves <cgoncalves@redhat.com> 8.6.6-10
- Move Octavia config opts to common config directory (rhbz#1577976)

* Thu Dec 20 2018 Martin Schuppert <mschuppert@redhat.com> 8.6.6-9
- IPv6 healthcheck fixes for nova-vnc-proxy (rhbz#1656947)

* Wed Dec 05 2018 John Fulton <fulton@redhat.com> 8.6.6-8
- Do not fail deploy for empty ceph ansible fetch directory (rhbz#1648968)
- Catch heat exceptions in DeployStackAction (rhbz#1459355)

* Mon Dec 03 2018 Bob Fournier <bfournie@redhat.com> 8.6.6-7
- Correct handling of capabilities on node update (rhbz#1647931)

* Mon Nov 26 2018 Jon Schlueter <jschluet@redhat.com> 8.6.6-6
- [Queens only] Fix syntax error.

* Mon Nov 26 2018 Janki Chhatbar <jchhatba@redhat.com> 8.6.6-5
- Make ODL healthcheck IPv6 compatible (rhbz#1636879)

* Mon Nov 19 2018 Bob Fournier <bfournie@redhat.com> 8.6.6-4
- Add UEFI support for hardened images (rhbz#1646907)

* Fri Nov 09 2018 Martin Schuppert <mschuppert@redhat.com> 8.6.6-3
- Revert "Fix nova-placement healthcheck" (rhbz#1630129)

* Wed Oct 17 2018 Jon Schlueter <jschluet@redhat.com> 8.6.6-2
- Update to 8.6.6 (rhbz#1640227)
- Fix gnocchi_statsd and ceilometer_agent_ipmi healthcheck  (rhbz#1623463)

* Mon Oct 15 2018 Giulio Fidente <gfidente@redhat.com> 8.6.3-16
- Revert "Remove ceph-osd after deployment succeeded in containers" (rhbz#1631848)
- Set trash_output for ceph-ansible playbook run (rhbz#1602840)
- Revert "[DOWNSTREAM-ONLY] Add container runtime packages for cron image" (rhbz#1585516)

* Tue Oct 02 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.6.3-15
- Add httpd and mod_ssl packages to octavia api image (rhbz#1613576)

* Fri Sep 28 2018 Jason Joyce <jjoyce@redhat.com> 8.6.3-14
- Fix nova-placement healthcheck (rhbz#1630129)
- [DOWNSTREAM-ONLY] Add container runtime packages for cron image (rhbz#1585516)

* Thu Sep 13 2018 Jon Schlueter <jschluet@redhat.com> 8.6.3-13
- Handle missing or bad dmidecode (rhbz#1624214)

* Thu Aug 30 2018 Jon Schlueter <jschluet@redhat.com> 8.6.3-12
- Fixes ordering of environment files in a deployment plan (rhbz#1541721)

* Tue Aug 14 2018 Jon Schlueter <jschluet@redhat.com> 8.6.3-11
- Use https for novnc proxy healthcheck if ssl_only is configured (rhbz#1613161)

* Tue Aug 14 2018 Giulio Fidente <gfidente@redhat.com> 8.6.3-10
- Remove ceph-osd after deployment succeeded in containers (rhbz#1614753)

* Thu Aug 09 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 8.6.3-9
- Set known hosts when --limit is set. (rhbz#1611016)

* Tue Aug 07 2018 Cédric Jeanneret <cjeanner@redhat.com> 8.6.3-8
- Include 'tripleo_role_name' in the inventory (rhbz#1613255)
- Fix dynamic inventory (rhbz#1613255)
- Use hostnames in inventory (rhbz#1613255)
- Remove role_data from inventory (rhbz#1613255)

* Fri Aug 03 2018 Jon Schlueter <jschluet@redhat.com> 8.6.3-7
- Allow platform in instackenv.json (rhbz#1610657)
- IPMI doesn't mandate a username or password so tripleo shouldn't either (rhbz#1489655)

* Thu Aug 02 2018 Bob Fournier <bfournie@redhat.com> 8.6.3-6
- ensure unique ironic node ID with UCS driver (rhbz#1596763)

* Fri Jul 27 2018 Jon Schlueter <jschluet@redhat.com> 8.6.3-5
- [DOWNSTREAM-ONLY] add ENV container=oci (rhbz#1609012)
- kolla overrides: Remove yum cache (rhbz#1609012)
- [DOWNSTREAM-ONLY] exclude collectd-write_prometheus rpm (rhbz#1598817 rhbz#1598817)

* Wed Jul 25 2018 Giulio Fidente <gfidente@redhat.com> 8.6.3-4
- Persist ceph-ansible fetch_directory using mistral (rhbz#1548026)
- [DOWNSTREAM-ONLY] back out setup.cfg changes from 8.6.3 tarball

* Mon Jul 23 2018 Tim Rozet <trozet@redhat.com> 8.6.3-3
- Updates OpenDaylight healthcheck URI (rhbz#1577853)

* Wed Jul 18 2018 Jon Schlueter <jschluet@redhat.com> 8.6.3-2
- Update to 8.6.3
- Retry inspect of container images (rhbz#1600559)
- rebase to upstream/stable/queens  0c86c2

* Wed Jul 18 2018 Carlos Camacho <ccamacho@redhat.com> 8.6.1-25
- Add --xattrs to sudoers. (rhbz#1594279)
- Retry inspect of container images (rhbz#1600559)
- Switch ansible tmp for local connections (rhbz#1596260)

* Fri Jul 06 2018 Alex Schultz <aschultz@redhat.com> 8.6.1-24
- Force lowercase hostnames (rhbz#1592556)

* Tue Jul 03 2018 Carlos Camacho <ccamacho@redhat.com> 8.6.1-23
- Provide timestamps in Ansible output by default (rhbz#1592823)

* Fri Jun 29 2018 Tim Rozet <trozet@redhat.com> 8.6.1-22
- Let TripleO generate ODLPassword (rhbz#1594328)

* Wed Jun 27 2018 Carlos Camacho <ccamacho@redhat.com> 8.6.1-21
- Include --xattrs when creating the undercloud backup. (rhbz#1594279)

* Mon Jun 11 2018 “Beth <belwell@redhat.com> 8.6.1-20
- Pass container and queue_name inputs to the list_available_roles workflow (rhbz#1588838)

* Tue Jun 05 2018 Carlos Camacho <ccamacho@redhat.com> 8.6.1-19
- Get deployment_stack_id via deployment_ref for config download (rhbz#1584951)

* Mon May 28 2018 Nir Magnezi <nmagnezi@redhat.com> 8.6.1-18
- Increase services project secgroup-rules quotas when deploying Octavia (rhbz#1560422)

* Thu May 24 2018 Nir Magnezi <nmagnezi@redhat.com> 8.6.1-17
- Make lb-mgmt-subnet a class B subnet (rhbz#1577612)

* Thu May 24 2018 Nir Magnezi <nmagnezi@redhat.com> 8.6.1-16
- Fix Octavia amphora image RPM install (rhbz#1414022)

* Thu May 24 2018 Sergii Golovatiuk <sgolovat@redhat.com> 8.6.1-15
- [DOWNSTREAM ONLY] Force include docker.yaml and docker-ha.yaml (rhbz#1576343)

* Fri May 18 2018 Mathieu Bultel <mbultel@redhat.com> 8.6.1-14
- Increase services project quotas when deploying Octavia (rhbz#1560422)
- Add special 'all' for deploy_on_servers server name to match all (rhbz#1561255)
- Persist package update ansible logs (rhbz#1572827)

* Fri May 18 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.6.1-13
- Increase services project quotas when deploying Octavia (rhbz#1560422)

* Wed May 16 2018 Nir Magnezi <nmagnezi@redhat.com> 8.6.1-12
- Install Octavia amphora image if Red Hat (rhbz#1414022)

* Tue May 15 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.6.1-11
- Check pub key file perms and default to pub key data (rhbz#1561935)

* Mon May 14 2018 Brent Eagles <beagles@redhat.com> 8.6.1-10
- Fix missing docker package in neutron L3 agent container (rhbz#1527130)

* Wed May 09 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 8.6.1-9
- Find deployment name in config download (rhbz#1565374)

* Wed May 09 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.6.1-8
- Octavia amphora image handles updates and symlinks (rhbz#1414022)

* Mon May 07 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.6.1-7
- Create keypair for SSH access to Octavia amphorae (rhbz#1561935)

* Tue May 01 2018 Alex Schultz <aschultz@redhat.com> 8.6.1-6
- Allow uploading big files to swift (5GB) (rhbz#1563783)
- Fix tarball generation when downloading logs (rhbz#1568743)
- Add in a STOPSIGNAL configuration (rhbz#1566463)

* Thu Apr 26 2018 Bernard Cafarelli <bcafarel@redhat.com> 8.6.1-5
- Fix healthcheck script for neutron-api service (rhbz#1563253)

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 8.6.1-4
- Use ansible_queue_name only for upgrade/update (rhbz#1568714)
- Only update plan on upgrade converge
- Fix error handling in set_provision_state/set_power_state workflows (rhbz#1536521 rhbz#1435591)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.6.1-3
- Fix parameter indentation on Swift rebalance playbook (rhbz#1469435)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.6.1-2
- [DOWNSTREAM ONLY] exclude neutron-vpn-agent for l3-container (rhbz#1567142)
- [DOWNSTREAM ONLY] Remove keepalived container
- [DOWNSTREAM ONLY] container build overrides
- [DOWNSTREAM ONLY] Remove rsyslog container image
- [DOWNSTREAM ONLY] Remove skydive, novajoin and congress-api from overcloud_containers (rhbz#1535610)
- [DOWNSTREAM ONLY] Remove qdrouterd containers (rhbz#1500528 rhbz#1500531 rhbz#1535610)
- [DOWNSTREAM ONLY] Set container image names for downstream (rhbz#1509324)

* Mon Apr 23 2018 RDO <dev@lists.rdoproject.org> 8.6.1-1
- Update to 8.6.1

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 8.6.0-1
- Update to 8.6.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.5.0-1
- Update to 8.5.0

